Bug 537327 - KPackageKit should give option to deselect update components causing error
KPackageKit should give option to deselect update components causing error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-13 02:03 EST by Clifford Keele
Modified: 2010-06-28 11:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clifford Keele 2009-11-13 02:03:22 EST
Description of problem:
Periodically when running routine updates, kpackagekit "bonks".
For example, today it is wanting to update:
gstreamer-plugins-base-0.10.25-2.fc11 (x86_64)
and
gstreamer-plugins-good-0.10.16-2.fc11 (x86_64)
having different rev numbers.

It gives the error:
A package dependency could not be found.
More information is available in the detailed report:
gstreamer-plugins-base conflicts with gstreamer-plugins-good

with the options being "OK" and "Details".

There should be a third option:

"Attempt Update without the package causing the error".

Perhaps label the button: "Ignore Package", and pop up with a brief note including an explanation that many update errors are resolved within a few days.

I believe that YUM has the option:

     yum update --skip-broken


Version-Release number of selected component (if applicable):
Fedora 11, 
Qt: 4.5.3
KDE 4.3.2
KPackageKit 0.4.2

How reproducible:
Happens whenever an update error occurs.

Steps to Reproduce:
1. "update error" 
2. Requires manually trying to figure out which package is causing the error, then hunting it down and eliminating.
  
Actual results:
In this case I had to determine what the heck the meaning of the error message was, and eliminate references to gstreamer.  Sometimes it is more cryptic.

Additional info:
It would be a LOT EASIER with a third choice "Ignore" with a brief explanation of what that does, i.e. wait a few days and try it again.
Comment 1 Steven M. Parrish 2009-11-13 09:19:13 EST
You do have the option of deselecting packages from the package list and retrying the upda
te.  I do however like your idea and will suggest it to the upstream
 devs.
Comment 2 Rex Dieter 2009-11-13 09:28:02 EST
I thought pk was supposed to do the equivalent of --skip-broken already?  Or perhaps that was only implemented in gnome-packagekit ?
Comment 3 Bug Zapper 2010-04-28 07:18:28 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-06-28 11:27:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.